Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

parallel_coordinates incorrect auto legend #2237

Closed
khughitt opened this issue Nov 12, 2012 · 2 comments

Comments

@khughitt
Copy link
Contributor

commented Nov 12, 2012

Just tried the latest version of the parallel coordinates plot, but the default legend appears to be incorrect: instead of just choosing the four expected groups, one legend entry is included per row, many of them set to "None".

To reproduce, follow steps in the pandas guide.

System info:

Arch Linux 64-bit

pandas 0.9.1rc1 (git)
numpy 1.7.0b2
matplotlib 1.2.0

Screenshot

pandas screenshot

@changhiskhan

This comment has been minimized.

Copy link
Contributor

commented Nov 14, 2012

I can't reproduce your issue on my current setup:
osx 10.8.2
pandas - github master
numpy - 1.6.1
matplotlib - 1.1.0

The dev docs are fine as well so it's not an OS issue. I'll try installing mpl 1.2.0 and see what's going on. You sure you have the latest version of pandas from github master right?

Also what mpl backend are you using?

@ghost ghost assigned changhiskhan Nov 14, 2012

@khughitt

This comment has been minimized.

Copy link
Contributor Author

commented Nov 14, 2012

Yep -- I tried initially with 0.9.0 and got the error so I pulled the latest version from git and tried that; same error (I checked pandas.version to make sure right version was being loaded.)

For back-end I'm currently using Qt4Agg, but I tried with Gtk3Agg just now and got the same result.

Matplotlib made a lot of changes between 0.9.x, 1.1, and 1.2 so it wouldn't surprise me if that is the culprit.

@wesm wesm closed this in 3f4f285 Nov 14, 2012

yarikoptic added a commit to neurodebian/pandas that referenced this issue Nov 15, 2012
Merge tag 'v0.9.1' into debian
Version 0.9.1

* tag 'v0.9.1':
  RLS: Version 0.9.1 final
  BUG: icol() should propegate fill_value for sparse data frames pandas-dev#2249
  TST: icol() should propegate fill_value for sparse data frames
  BUG: override SparseDataFrame.icol to use __getitem__ instead of accessing _data internals. close pandas-dev#2251
  BUG: make Series.tz_localize work with length-0 non-DatetimeIndex. close pandas-dev#2248
  BUG: parallel_coordinates bugfix with matplotlib 1.2.0. close pandas-dev#2237
  BUG: issue constructing DataFrame from empty Series with name. close pandas-dev#2234
  ENH: disable repr dependence on terminal width when running non-interactively. pandas-dev#1610
  BUG: ExcelWriter raises exception on PeriodIndex pandas-dev#2240
  BUG: SparseDataFrame.icol return SparseSeries. SparseSeries.from_array return SparseSeries. close pandas-dev#2227, pandas-dev#2229
  BUG: fix tz-aware resampling issue. close pandas-dev#2245
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.